module Pod
  module Generator

    class Acknowledgements

      def self.generators
        [Plist, Markdown]
      end

      def initialize(target_definition, pods)
        @target_definition, @pods = target_definition, pods
      end

      def save_as(path)
        Acknowledgements.generators.each do |generator|
          generator.new(@target_definition, @pods).save_as(path)
        end
      end

      def header_title
        "Acknowledgements"
      end

      def header_text
        "This application makes use of the following third party libraries:"
      end

      def footnote_title
        ""
      end

      def footnote_text
        "Generated by CocoaPods - http://cocoapods.org"
      end
    end
  end
end
